summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSven Wegener <swegener@gentoo.org>2005-09-25 12:30:26 +0000
committerSven Wegener <swegener@gentoo.org>2005-09-25 12:30:26 +0000
commit4a1cdac34b1bb6022fb715031d15ce25f5553553 (patch)
treea5e663c0d7788738af2b320ff3ff7de62d334e1e
parentDon't try to use -static on Darwin userland, as it doesn't work. (diff)
downloadgentoo-2-4a1cdac34b1bb6022fb715031d15ce25f5553553.tar.gz
gentoo-2-4a1cdac34b1bb6022fb715031d15ce25f5553553.tar.bz2
gentoo-2-4a1cdac34b1bb6022fb715031d15ce25f5553553.zip
Apply whitespace checks from repoman to eclasses.
-rw-r--r--eclass/depend.php.eclass6
-rw-r--r--eclass/kernel-2.eclass4
-rw-r--r--eclass/linux-info.eclass4
-rw-r--r--eclass/php-2.eclass25
-rw-r--r--eclass/php.eclass25
-rw-r--r--eclass/rox.eclass5
-rw-r--r--eclass/toolchain.eclass6
7 files changed, 33 insertions, 42 deletions
diff --git a/eclass/depend.php.eclass b/eclass/depend.php.eclass
index cba670ca5c76..baa1a564604d 100644
--- a/eclass/depend.php.eclass
+++ b/eclass/depend.php.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2005 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/depend.php.eclass,v 1.4 2005/09/16 20:25:21 trapni Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/depend.php.eclass,v 1.5 2005/09/25 12:30:26 swegener Exp $
#
# ========================================================================
#
@@ -133,7 +133,7 @@ need_php_by_category()
# Portage
#
# $1 ... a list of SAPI USE flags (eg cli, cgi, apache2)
-#
+#
# returns if any one of the listed SAPIs has been installed
# dies if none of the listed SAPIs has been installed
@@ -173,7 +173,7 @@ require_php_sapi_from()
# Portage
#
# $1 ... a list of USE flags
-#
+#
# returns if all of the listed USE flags are set
# dies if any of the listed USE flags are not set
diff --git a/eclass/kernel-2.eclass b/eclass/kernel-2.eclass
index 3f3edd004003..3b740526d462 100644
--- a/eclass/kernel-2.eclass
+++ b/eclass/kernel-2.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2005 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/kernel-2.eclass,v 1.145 2005/09/15 00:11:13 vapier Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/kernel-2.eclass,v 1.146 2005/09/25 12:30:26 swegener Exp $
# Description: kernel.eclass rewrite for a clean base regarding the 2.6
# series of kernel with back-compatibility for 2.4
@@ -786,7 +786,7 @@ unipatch() {
cp -f ${i} ${T}/
done
UNIPATCH_DOCS="${tmp}"
-
+
# clean up KPATCH_DIR's - fixes bug #53610
for x in ${KPATCH_DIR}; do rm -Rf ${x}; done
diff --git a/eclass/linux-info.eclass b/eclass/linux-info.eclass
index 77e81b60d17d..e047040abdcb 100644
--- a/eclass/linux-info.eclass
+++ b/eclass/linux-info.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/linux-info.eclass,v 1.31 2005/09/22 14:09:25 johnm Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/linux-info.eclass,v 1.32 2005/09/25 12:30:26 swegener Exp $
#
# Description: This eclass is used as a central eclass for accessing kernel
# related information for sources already installed.
@@ -374,7 +374,7 @@ check_modules_supported() {
}
check_extra_config() {
- local config negate error local_error i n
+ local config negate error local_error i n
local temp_config die reworkmodulenames
# if we haven't determined the version yet, we need too.
diff --git a/eclass/php-2.eclass b/eclass/php-2.eclass
index 20fa162c36f4..8dd865bf064b 100644
--- a/eclass/php-2.eclass
+++ b/eclass/php-2.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/php-2.eclass,v 1.18 2005/09/14 22:41:19 robbat2 Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/php-2.eclass,v 1.19 2005/09/25 12:30:26 swegener Exp $
# Author: Robin H. Johnson <robbat2@gentoo.org>
# This eclass is the old style of php, that was used before php-core was
@@ -8,9 +8,6 @@
inherit eutils flag-o-matic
-ECLASS=php
-INHERITED="$INHERITED $ECLASS"
-
EXPORT_FUNCTIONS src_unpack src_compile src_install pkg_postinst pkg_preinst
[ -z "${MY_PN}" ] && MY_PN=php
@@ -44,10 +41,10 @@ IUSE="${IUSE} X crypt curl firebird flash freetds gd gd-external gdbm imap infor
# we need db-1.* for ndbm
# and then either of db3 or db4
IUSE="${IUSE} berkdb"
-RDEPEND="${RDEPEND} berkdb? ( =sys-libs/db-1.*
- || ( >=sys-libs/db-4.0.14-r2
+RDEPEND="${RDEPEND} berkdb? ( =sys-libs/db-1.*
+ || ( >=sys-libs/db-4.0.14-r2
>=sys-libs/db-3.2.9-r9
- )
+ )
)"
# Everything is in this list is dynamically linked agaist or needed at runtime
@@ -60,7 +57,7 @@ RDEPEND="
curl? ( >=net-misc/curl-7.10.2 )
x86? ( firebird? ( >=dev-db/firebird-1.0 ) )
freetds? ( >=dev-db/freetds-0.53 )
- gd-external? ( media-libs/gd >=media-libs/jpeg-6b
+ gd-external? ( media-libs/gd >=media-libs/jpeg-6b
>=media-libs/libpng-1.2.5 )
gd? ( >=media-libs/jpeg-6b >=media-libs/libpng-1.2.5 )
gdbm? ( >=sys-libs/gdbm-1.8.0 )
@@ -71,7 +68,7 @@ RDEPEND="
nls? ( sys-devel/gettext )
odbc? ( >=dev-db/unixODBC-1.8.13 )
pam? ( >=sys-libs/pam-0.75 )
- pdflib? ( >=media-libs/pdflib-4.0.3 >=media-libs/jpeg-6b
+ pdflib? ( >=media-libs/pdflib-4.0.3 >=media-libs/jpeg-6b
>=media-libs/libpng-1.2.5 >=media-libs/tiff-3.5.5 )
png? ( >=media-libs/libpng-1.2.5 )
postgres? ( >=dev-db/postgresql-7.1 )
@@ -81,17 +78,17 @@ RDEPEND="
ssl? ( >=dev-libs/openssl-0.9.5 )
tiff? ( >=media-libs/tiff-3.5.5 )
xml2? ( dev-libs/libxml2 >=dev-libs/libxslt-1.0.30 )
- truetype? ( =media-libs/freetype-2* =media-libs/freetype-1*
+ truetype? ( =media-libs/freetype-2* =media-libs/freetype-1*
media-libs/t1lib )
>=net-libs/libwww-5.3.2
>=app-text/sablotron-0.97
dev-libs/expat
- sys-libs/zlib
+ sys-libs/zlib
virtual/mta"
# libswf is ONLY available on x86
-RDEPEND="${RDEPEND} flash? (
- x86? ( media-libs/libswf )
+RDEPEND="${RDEPEND} flash? (
+ x86? ( media-libs/libswf )
>=media-libs/ming-0.2a )"
#The new XML extension in PHP5 requires libxml2-2.5.10
@@ -109,7 +106,7 @@ DEPEND="${DEPEND} !dev-libs/9libs"
DEPEND="${DEPEND} !dev-libs/libiconv"
#Waiting for somebody to want this:
-#cyrus? ( net-mail/cyrus-imapd net-mail/cyrus-imap-admin dev-libs/cyrus-imap-dev )
+#cyrus? ( net-mail/cyrus-imapd net-mail/cyrus-imap-admin dev-libs/cyrus-imap-dev )
#export this here so we can use it
myconf="${myconf}"
diff --git a/eclass/php.eclass b/eclass/php.eclass
index 525501f38df0..344d23669008 100644
--- a/eclass/php.eclass
+++ b/eclass/php.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/php.eclass,v 1.103 2005/09/14 22:41:19 robbat2 Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/php.eclass,v 1.104 2005/09/25 12:30:26 swegener Exp $
# Author: Robin H. Johnson <robbat2@gentoo.org>
# This eclass is the old style of php, that was used before php-core was
@@ -8,9 +8,6 @@
inherit eutils flag-o-matic
-ECLASS=php
-INHERITED="$INHERITED $ECLASS"
-
EXPORT_FUNCTIONS src_unpack src_compile src_install pkg_postinst pkg_preinst
[ -z "${MY_PN}" ] && MY_PN=php
@@ -45,10 +42,10 @@ IUSE="${IUSE} X crypt curl firebird flash freetds gd gd-external gdbm imap infor
# we need db-1.* for ndbm
# and then either of db3 or db4
IUSE="${IUSE} berkdb"
-RDEPEND="${RDEPEND} berkdb? ( =sys-libs/db-1.*
- || ( >=sys-libs/db-4.0.14-r2
+RDEPEND="${RDEPEND} berkdb? ( =sys-libs/db-1.*
+ || ( >=sys-libs/db-4.0.14-r2
>=sys-libs/db-3.2.9-r9
- )
+ )
)"
# Everything is in this list is dynamically linked agaist or needed at runtime
@@ -61,7 +58,7 @@ RDEPEND="
curl? ( >=net-misc/curl-7.10.2 )
x86? ( firebird? ( >=dev-db/firebird-1.0 ) )
freetds? ( >=dev-db/freetds-0.53 )
- gd-external? ( media-libs/gd >=media-libs/jpeg-6b
+ gd-external? ( media-libs/gd >=media-libs/jpeg-6b
>=media-libs/libpng-1.2.5 )
gd? ( >=media-libs/jpeg-6b >=media-libs/libpng-1.2.5 )
gdbm? ( >=sys-libs/gdbm-1.8.0 )
@@ -72,7 +69,7 @@ RDEPEND="
nls? ( sys-devel/gettext )
odbc? ( >=dev-db/unixODBC-1.8.13 )
pam? ( >=sys-libs/pam-0.75 )
- pdflib? ( >=media-libs/pdflib-4.0.3 >=media-libs/jpeg-6b
+ pdflib? ( >=media-libs/pdflib-4.0.3 >=media-libs/jpeg-6b
>=media-libs/libpng-1.2.5 >=media-libs/tiff-3.5.5 )
png? ( >=media-libs/libpng-1.2.5 )
postgres? ( >=dev-db/postgresql-7.1 )
@@ -82,12 +79,12 @@ RDEPEND="
ssl? ( >=dev-libs/openssl-0.9.5 )
tiff? ( >=media-libs/tiff-3.5.5 )
xml2? ( dev-libs/libxml2 >=dev-libs/libxslt-1.0.30 )
- truetype? ( =media-libs/freetype-2* =media-libs/freetype-1*
+ truetype? ( =media-libs/freetype-2* =media-libs/freetype-1*
media-libs/t1lib )
>=net-libs/libwww-5.3.2
>=app-text/sablotron-0.97
dev-libs/expat
- sys-libs/zlib
+ sys-libs/zlib
virtual/mta
virtual/libc"
# virtual/libc line added as a fix for an rsync issue regarding cache
@@ -95,8 +92,8 @@ RDEPEND="
# disappear. (sys-apps -> app-arch move stuff)
# libswf is ONLY available on x86
-RDEPEND="${RDEPEND} flash? (
- x86? ( media-libs/libswf )
+RDEPEND="${RDEPEND} flash? (
+ x86? ( media-libs/libswf )
>=media-libs/ming-0.2a )"
#The new XML extension in PHP5 requires libxml2-2.5.10
@@ -114,7 +111,7 @@ DEPEND="${DEPEND} !dev-libs/9libs"
DEPEND="${DEPEND} !dev-libs/libiconv"
#Waiting for somebody to want this:
-#cyrus? ( net-mail/cyrus-imapd net-mail/cyrus-imap-admin dev-libs/cyrus-imap-dev )
+#cyrus? ( net-mail/cyrus-imapd net-mail/cyrus-imap-admin dev-libs/cyrus-imap-dev )
#export this here so we can use it
myconf="${myconf}"
diff --git a/eclass/rox.eclass b/eclass/rox.eclass
index fe951f8a9896..a8ac2f1061c2 100644
--- a/eclass/rox.eclass
+++ b/eclass/rox.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/rox.eclass,v 1.7 2005/09/25 11:05:50 svyatogor Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/rox.eclass,v 1.8 2005/09/25 12:30:26 swegener Exp $
# ROX eclass Version 2
@@ -19,9 +19,6 @@
# need python to byte compile modules, if any
inherit python
-ECLASS=rox
-INHERITED="${INHERITED} ${ECLASS}"
-
if [ -z "$ROX_VER" ]; then
ROX_VER="2.1.0"
fi
diff --git a/eclass/toolchain.eclass b/eclass/toolchain.eclass
index 68f08399422a..96822ccfd3df 100644
--- a/eclass/toolchain.eclass
+++ b/eclass/toolchain.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2005 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/toolchain.eclass,v 1.196 2005/09/24 23:40:47 eradicator Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/toolchain.eclass,v 1.197 2005/09/25 12:30:26 swegener Exp $
HOMEPAGE="http://www.gnu.org/software/gcc/gcc.html"
LICENSE="GPL-2 LGPL-2.1"
@@ -755,7 +755,7 @@ add_profile_eselect_conf() {
}
create_eselect_conf() {
- local config_dir="/etc/eselect/compiler"
+ local config_dir="/etc/eselect/compiler"
local compiler_config_file="${D}/${config_dir}/${CTARGET}-${GCC_CONFIG_VER}.conf"
local abi
@@ -774,7 +774,7 @@ create_eselect_conf() {
echo " alias_g77=gfortran" >> ${compiler_config_file}
fi
- for abi in $(get_all_abis) ; do
+ for abi in $(get_all_abis) ; do
add_profile_eselect_conf "${compiler_config_file}" "${abi}"
if want_split_specs ; then